Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 182660 - huge logs caused by frequent exceptions
Summary: huge logs caused by frequent exceptions
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: beagle
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-02-23 21:40 UTC by Dave Jones
Modified: 2015-01-04 22:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-02 02:57:40 UTC


Attachments (Terms of Use)

Description Dave Jones 2006-02-23 21:40:28 UTC
128MB out of my 150MB ~/.beagle is taken up by .beagle/logs/

There are an insane number of occurances of this...

060223 1634458989 17852 Beagle  WARN EX: in [0x00074] System.Activator:CheckType
(System.Type type)
060223 1634458989 17852 Beagle  WARN EX: in [0x00001] (at
/usr/src/build/706307-x86_64/BUILD/mono-1.1.13.2/mcs/class/corlib/System/Activator.cs:232)
System.Activator:CreateInstance (System.Type type, Boolean nonPublic)
060223 1634458989 17852 Beagle  WARN EX: in [0x00002] (at
/usr/src/build/706307-x86_64/BUILD/mono-1.1.13.2/mcs/class/corlib/System/Activator.cs:162)
System.Activator:CreateInstance (System.Type type)
060223 1634458989 17852 Beagle  WARN EX: in <0x0004e>
Lucene.Net.Index.SegmentReader:Get (Lucene.Net.Store.Directory dir,
Lucene.Net.Index.SegmentInfo si, Lucene.Net.Index.SegmentInfos sis, Boolean
closeDir, Boolean ownDir)
060223 1634458989 17852 Beagle  WARN EX: in <0x000de>
Lucene.Net.Index.SegmentReader:Get (Lucene.Net.Store.Directory dir,
Lucene.Net.Index.SegmentInfo si, Lucene.Net.Index.SegmentInfos sis, Boolean
closeDir, Boolean ownDir)
060223 1634458989 17852 Beagle  WARN EX: in <0x00031>
Lucene.Net.Index.SegmentReader:Get (Lucene.Net.Index.SegmentInfos sis,
Lucene.Net.Index.SegmentInfo si, Boolean closeDir)
060223 1634458989 17852 Beagle  WARN EX: in <0x000a2>
Lucene.Net.Index.IndexReader+AnonymousClassWith:DoBody ()
060223 1634458989 17852 Beagle  WARN EX: in <0x00042>
Lucene.Net.Store.Lock+With:Run ()
060223 1634458989 17852 Beagle  WARN EX: in <0x00089>
Lucene.Net.Index.IndexReader:Open (Lucene.Net.Store.Directory directory, Boolean
closeDirectory)
060223 1634458989 17852 Beagle  WARN EX: in <0x00013>
Lucene.Net.Index.IndexReader:Open (Lucene.Net.Store.Directory directory)
060223 1634458989 17852 Beagle  WARN EX: in <0x00136>
Beagle.Daemon.LuceneCommon:GetReader (Lucene.Net.Store.Directory directory)
060223 1634458989 17852 Beagle  WARN EX: in <0x006bc>
Beagle.Daemon.LuceneQueryingDriver:DoQuery (Beagle.Query query, IQueryResult
result, ICollection search_subset_uris, Beagle.Daemon.UriFilter uri_filter,
Beagle.Daemon.HitFilter hit_filter)
060223 1634458989 17852 Beagle  WARN EX: in <0x007e9>
Beagle.Daemon.LuceneQueryable:DoQuery (Beagle.Query query, IQueryResult
query_result, IQueryableChangeData i_change_data)
060223 1634458989 17852 Beagle  WARN EX: in <0x00056>
Beagle.Daemon.Queryable:DoQuery (Beagle.Query query, IQueryResult result,
IQueryableChangeData change_data)
060223 1634459001 17852 Beagle  WARN: Caught exception calling DoQuery on 'GaimLog'
060223 1634459252 17852 Beagle  WARN EX: System.SystemException: cannot load
SegmentReader class: System.ArgumentNullException: Argument cannot be null.
060223 1634459252 17852 Beagle  WARN EX: Parameter name: type
060223 1634459252 17852 Beagle  WARN EX: in [0x00074] System.Activator:CheckType
(System.Type type)
060223 1634459252 17852 Beagle  WARN EX: in [0x00001] (at
/usr/src/build/706307-x86_64/BUILD/mono-1.1.13.2/mcs/class/corlib/System/Activator.cs:232)
System.Activator:CreateInstance (System.Type type, Boolean nonPublic)
060223 1634459252 17852 Beagle  WARN EX: in [0x00002] (at
/usr/src/build/706307-x86_64/BUILD/mono-1.1.13.2/mcs/class/corlib/System/Activator.cs:162)
System.Activator:CreateInstance (System.Type type)
060223 1634459252 17852 Beagle  WARN EX: in <0x0004e>
Lucene.Net.Index.SegmentReader:Get (Lucene.Net.Store.Directory dir,
Lucene.Net.Index.SegmentInfo si, Lucene.Net.Index.SegmentInfos sis, Boolean
closeDir, Boolean ownDir)
060223 1634459252 17852 Beagle  WARN EX: in <0x000de>
Lucene.Net.Index.SegmentReader:Get (Lucene.Net.Store.Directory dir,
Lucene.Net.Index.SegmentInfo si, Lucene.Net.Index.SegmentInfos sis, Boolean
closeDir, Boolean ownDir)
060223 1634459252 17852 Beagle  WARN EX: in <0x00031>
Lucene.Net.Index.SegmentReader:Get (Lucene.Net.Index.SegmentInfos sis,
Lucene.Net.Index.SegmentInfo si, Boolean closeDir)
060223 1634459252 17852 Beagle  WARN EX: in <0x000a2>
Lucene.Net.Index.IndexReader+AnonymousClassWith:DoBody ()
060223 1634459252 17852 Beagle  WARN EX: in <0x00042>
Lucene.Net.Store.Lock+With:Run ()
060223 1634459252 17852 Beagle  WARN EX: in <0x00089>
Lucene.Net.Index.IndexReader:Open (Lucene.Net.Store.Directory directory, Boolean
closeDirectory)
060223 1634459252 17852 Beagle  WARN EX: in <0x00013>
Lucene.Net.Index.IndexReader:Open (Lucene.Net.Store.Directory directory)
060223 1634459252 17852 Beagle  WARN EX: in <0x00136>
Beagle.Daemon.LuceneCommon:GetReader (Lucene.Net.Store.Directory directory)
060223 1634459252 17852 Beagle  WARN EX: in <0x006bc>
Beagle.Daemon.LuceneQueryingDriver:DoQuery (Beagle.Query query, IQueryResult
result, ICollection search_subset_uris, Beagle.Daemon.UriFilter uri_filter,
Beagle.Daemon.HitFilter hit_filter)
060223 1634459252 17852 Beagle  WARN EX: in <0x007e9>
Beagle.Daemon.LuceneQueryable:DoQuery (Beagle.Query query, IQueryResult
query_result, IQueryableChangeData i_change_data)
060223 1634459252 17852 Beagle  WARN EX: in <0x00056>
Beagle.Daemon.Queryable:DoQuery (Beagle.Query query, IQueryResult result,
IQueryableChangeData change_data)

Comment 1 Matthias Clasen 2006-02-24 06:47:06 UTC
I tried to improve this by reducing the log level from debug to warn, 
but I fear that those WARN EX things will still come through...

Comment 2 Dave Jones 2006-02-27 03:00:53 UTC
yeah, they're still there in 0.2.1-12

I also get one every time I try to use the places->search query.
It never seems to find any results at all. I suspect this exception is aborting
it before it ever gets that far :-(


Comment 3 Matthias Clasen 2006-03-01 18:19:30 UTC
I changed the log level to error now, so at least you logs shouldn't grow
so big


Note You need to log in before you can comment on or make changes to this bug.